
Redmine - Defect #4874

HTML part of issue mails is not properly escaped

2010-02-18 12:51 - Holger Just

Status: Closed Start date: 2010-02-18

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version:  

Description

The link to the issue in the HTML part of issue mails is not properly escaped. If a user inserts HTML tags into the issue subject, it is

inserted unescaped into the email body which at least destroys the rendering or at worst allows sophistcated phishing attacks using

specifically crafted issue subjects.

The attached patch against Redmine trunk (r3434) fixes this.

Related issues:

Has duplicate Redmine - Defect #5178: <pre> tag in subject disrupts HTML email Closed 2010-03-24

Associated revisions

Revision 3452 - 2010-02-18 20:13 - Jean-Philippe Lang

Escaping in html email templates (#4874).

History

#1 - 2010-02-18 20:15 - Jean-Philippe Lang

- Category set to Email notifications

- Status changed from New to Resolved

- Target version set to 0.9.3

- Resolution set to Fixed

Done in r3452 with a few more fixes.

#2 - 2010-02-20 11:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3462.

Files

escape.patch 496 Bytes 2010-02-18 Holger Just
